### Function

# Shell util_check_cloexec_fds

since: 14

#### Declaration [src]

    void
    shell_util_check_cloexec_fds (
      void
    )

#### Description [src]

Walk over all open file descriptors. Check them for the FD_CLOEXEC flag. If this flag is not set, log the offending file descriptor number.

It is important that gnome-shell’s file descriptors are all marked CLOEXEC, so that the shell’s open file descriptors are not passed to child processes that we launch.

Available since: 14